// pages/news-detail/news-detail.js
var http = require("../../utils/http.js");
var config = require("../../utils/config.js");
// var util = require('../../utils/util.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    news: {
      title: '',   //标题
      msgTitle: '',   //分销通知标题
      content: '',
      id: 0,
    }
  },



  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    // var ths = this;
    console.log(options)
    if (options.type == 'dist') {
      // 加载分销公告
      var params = {
        url: '/p/distribution/msg/info',
        method: "GET",
        data: {
          msgId: options.id
        },
        callBack: res => {
          if (res.content) {
            res.content = res.content.replace(/width=/gi, 'sss=');
            res.content = res.content.replace(/height=/gi, 'sss=');
            res.content = res.content.replace(/ \/\>/gi, ' style="max-width:100% !important;display:block;" \/\>');
          }
          console.log(res)
          this.setData({
            news: res
          });
          console.log("分销公告:" + res)
        }
      };
      http.request(params);
    } else {
      //加载公告详情
      var params = {
        url: '/shop/notice/info/' + options.id,
        method: "GET",
        callBack: res => {
          if (res.content) {
            res.content = res.content.replace(/width=/gi, 'sss=');
            res.content = res.content.replace(/height=/gi, 'sss=');
            res.content = res.content.replace(/ \/\>/gi, ' style="max-width:100% !important;display:block;" \/\>');
          }
          this.setData({
            news: res
          });
          console.log("普通公告:" + res)
        }
      };
      http.request(params);
    }

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})